firmware::ImageInfo_1_0_1 Struct Reference

Firmware image information More...

`import"Firmware.idl";`

## Public Attributes

boolean | valid
| The file is a valid firmware image.
string | version
| Firmware image version
string | min_required_version
| Minimum running firmware version for image.
string | min_downgrade_version
| Minimum image version for running firmware.
string | product
| Product name.
string | platform
| Platform name.
string | oem
| OEM name.
string | hwid_whitelist
| Hardware ID whitelist.
string | hwid_blacklist
| Hardware ID blacklist.
boolean | compatible
| `true` if the image is compatible with this device
boolean | signature_present
| `true` if the image is signed
string | signed_by
| Signature issuer.
boolean | signature_good
| `true` if the signature is valid
string | certified_by
| Key certificate issuer.
boolean | certificate_good
| `true` if the key certificate is valid
boolean | model_list_present
| `true` if the image includes a supported models list
boolean | model_supported
| `true` if the model is found on the support list

## Detailed Description

Firmware image information

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Firmware.idl